Compare commits

...

45 Commits

Author SHA1 Message Date
Tonye Jack
6ba3c59bc6 Merge pull request #762 from tj-actions/chore/update-readme
Updated README.md
2022-11-04 19:44:59 -06:00
jackton1
e65822d31a Updated README.md 2022-11-05 01:09:37 +00:00
Tonye Jack
866ffdf84d Update action.yml 2022-11-04 19:08:02 -06:00
Tonye Jack
338a11e8c5 Merge pull request #761 from tj-actions/chorw/update-test
chore: fixed test
2022-11-04 19:07:10 -06:00
Tonye Jack
6a0f4e7f4d Update diff-sha.sh 2022-11-04 18:30:36 -06:00
Tonye Jack
dee73a71be chore: fixed test 2022-11-04 18:18:11 -06:00
Tonye Jack
9b079a7363 Merge pull request #759 from tj-actions/chore/update-test 2022-11-04 16:57:01 -06:00
Tonye Jack
ac593b977e Update diff-sha.sh 2022-11-04 16:40:47 -06:00
Tonye Jack
5b43f91839 Update diff-sha.sh 2022-11-04 16:31:48 -06:00
Tonye Jack
ece8e1f566 Merge branch 'main' into chore/update-test 2022-11-04 16:06:42 -06:00
Tonye Jack
cfbf2ee2ea Merge pull request #760 from tj-actions/chore/update-env
chore: update env
2022-11-04 16:06:32 -06:00
Tonye Jack
6042b819eb chore: update env 2022-11-04 15:55:29 -06:00
Tonye Jack
367c547d7d Update diff-sha.sh 2022-11-04 15:21:49 -06:00
Tonye Jack
6ac1087775 Update diff-sha.sh 2022-11-04 15:09:11 -06:00
Tonye Jack
2982c7c1d0 Update diff-sha.sh 2022-11-04 15:06:44 -06:00
Tonye Jack
a3a62da413 Update diff-sha.sh 2022-11-04 14:49:06 -06:00
Tonye Jack
958d453c5d Update diff-sha.sh 2022-11-04 14:43:22 -06:00
Tonye Jack
0f09389954 Update diff-sha.sh 2022-11-04 14:41:40 -06:00
Tonye Jack
dc104b5c83 Update diff-sha.sh 2022-11-04 14:25:33 -06:00
Tonye Jack
97e67238ea Update diff-sha.sh
Co-authored-by: github-actions[bot] <41898282+github-actions[bot]@users.noreply.github.com>
2022-11-04 14:22:55 -06:00
Tonye Jack
ac72938f3a Update diff-sha.sh 2022-11-04 14:17:10 -06:00
Tonye Jack
133f857c90 Update diff-sha.sh 2022-11-04 13:07:40 -06:00
Tonye Jack
3e8708a684 Update diff-sha.sh 2022-11-04 12:28:22 -06:00
Tonye Jack
90a4d2a19b Update diff-sha.sh 2022-11-04 12:12:26 -06:00
Tonye Jack
251c03879a Update diff-sha.sh 2022-11-04 12:10:09 -06:00
Tonye Jack
ae5f032774 Update diff-sha.sh 2022-11-04 12:09:42 -06:00
Tonye Jack
dd6f3c9e10 Update diff-sha.sh 2022-11-04 12:02:58 -06:00
Tonye Jack
84396edc7e Update diff-sha.sh 2022-11-04 11:54:46 -06:00
Tonye Jack
6079b26874 Update diff-sha.sh 2022-11-04 11:40:44 -06:00
Tonye Jack
b94eca1419 chore: update test 2022-11-04 11:40:18 -06:00
Tonye Jack
a14ccf053e Merge pull request #758 from tj-actions/chore/improve-test-coverage
chore: improve test coverage
2022-11-04 11:38:52 -06:00
Tonye Jack
1fd624717d Update diff-sha.sh 2022-11-04 11:26:51 -06:00
Tonye Jack
dca71d6aaa Update diff-sha.sh 2022-11-04 11:24:59 -06:00
Tonye Jack
441dd9f254 chore: improve test coverage 2022-11-04 11:08:33 -06:00
Tonye Jack
6e95ff3cd5 Merge pull request #756 from tj-actions/chore/update-readme
Updated README.md
2022-11-04 00:11:00 -06:00
jackton1
a4d7180f07 Updated README.md 2022-11-04 05:19:08 +00:00
Tonye Jack
8890344e49 Update action.yml 2022-11-03 23:17:57 -06:00
Tonye Jack
d3f15b49f1 Merge pull request #754 from tj-actions/upgrade-to-v34.1.1
Upgraded to v34.1.1
2022-11-03 21:08:46 -06:00
jackton1
8227e3155d Upgraded from v34.0.5 -> v34.1.1 2022-11-04 02:48:17 +00:00
Tonye Jack
d0e44775cd Merge pull request #753 from tj-actions/upgrade-to-v34.1.0
Upgraded to v34.1.0
2022-11-03 20:44:37 -06:00
jackton1
5f73da34f8 Upgraded from v34.0.5 -> v34.1.0 2022-11-04 02:32:03 +00:00
Tonye Jack
ed9a8c623c feat: include merge commit for push events 2022-11-03 20:12:34 -06:00
Tonye Jack
ad3a3e02a7 Merge pull request #752 from tj-actions/upgrade-to-v34.1.0
Upgraded to v34.1.0
2022-11-03 19:24:15 -06:00
Tonye Jack
08509d9a42 Update diff-sha.sh 2022-11-03 19:24:05 -06:00
jackton1
99d1026ab8 Upgraded from v34.0.5 -> v34.1.0 2022-11-04 00:35:35 +00:00
5 changed files with 94 additions and 39 deletions

View File

@@ -425,6 +425,27 @@ jobs:
exit 1
shell:
bash
- name: Run changed-files with dir_names specific
id: changed-files-dir-names-specific
uses: ./
with:
base_sha: d1c0ee4
sha: 4d04215
fetch_depth: 60000
dir_names: "true"
files: test/**
- name: Show output
run: |
echo '${{ toJSON(steps.changed-files-dir-names-specific.outputs) }}'
shell:
bash
- name: Check dir_names output
if: "!contains(steps.changed-files-dir-names-specific.outputs.all_changed_files, 'test')"
run: |
echo "Invalid output: Expected to include (test) got (${{ steps.changed-files-dir-names-specific.outputs.all_changed_files }})"
exit 1
shell:
bash
- name: Run changed-files with forward slash separator
id: changed-files-forward-slash
uses: ./
@@ -878,10 +899,12 @@ jobs:
bash
- name: Run changed-files with custom sha
id: changed-files-custom-sha
if: github.event.action != 'closed'
uses: ./
with:
sha: ${{ github.event.pull_request.head.sha }}
- name: Show output
if: github.event.action != 'closed'
run: |
echo '${{ toJSON(steps.changed-files-custom-sha.outputs) }}'
shell:

View File

@@ -1,20 +1,39 @@
# Changelog
## [Unreleased](https://github.com/tj-actions/changed-files/tree/HEAD)
## [v34.1.1](https://github.com/tj-actions/changed-files/tree/v34.1.1) (2022-11-04)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.0.5...HEAD)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34...v34.1.1)
## [v34](https://github.com/tj-actions/changed-files/tree/v34) (2022-11-04)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.1.0...v34)
**Merged pull requests:**
- Upgraded to v34.1.0 [\#753](https://github.com/tj-actions/changed-files/pull/753) ([jackton1](https://github.com/jackton1))
- Upgraded to v34.1.0 [\#752](https://github.com/tj-actions/changed-files/pull/752) ([jackton1](https://github.com/jackton1))
- Updated README.md [\#751](https://github.com/tj-actions/changed-files/pull/751) ([jackton1](https://github.com/jackton1))
- Upgraded to v34.0.5 [\#749](https://github.com/tj-actions/changed-files/pull/749) ([jackton1](https://github.com/jackton1))
- chore: update test [\#746](https://github.com/tj-actions/changed-files/pull/746) ([jackton1](https://github.com/jackton1))
- fix: including changed files from merge commits, no merge-base found [\#736](https://github.com/tj-actions/changed-files/pull/736) ([jackton1](https://github.com/jackton1))
## [v34.1.0](https://github.com/tj-actions/changed-files/tree/v34.1.0) (2022-11-04)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.0.5...v34.1.0)
**Fixed bugs:**
- \[BUG\] diff-sha.sh results in "fatal: ambiguous argument '': unknown revision or path not in the working tree." [\#750](https://github.com/tj-actions/changed-files/issues/750)
- \[BUG\] Action failing on PR with "Unable to find merge-base in shallow clone" [\#737](https://github.com/tj-actions/changed-files/issues/737)
- \[BUG\] Wrong changed-files returned for forked PRs [\#714](https://github.com/tj-actions/changed-files/issues/714)
**Closed issues:**
- Logical Issue in deepenShallowCloneToFindCommit [\#747](https://github.com/tj-actions/changed-files/issues/747)
## [v34.0.5](https://github.com/tj-actions/changed-files/tree/v34.0.5) (2022-11-02)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34...v34.0.5)
## [v34](https://github.com/tj-actions/changed-files/tree/v34) (2022-11-02)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.0.4...v34)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.0.4...v34.0.5)
**Merged pull requests:**
@@ -95,7 +114,7 @@
## [v34.0.0](https://github.com/tj-actions/changed-files/tree/v34.0.0) (2022-10-25)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v33...v34.0.0)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v33.0.0...v34.0.0)
**Fixed bugs:**
@@ -108,13 +127,13 @@
- feat: add support for fetching more history [\#709](https://github.com/tj-actions/changed-files/pull/709) ([jackton1](https://github.com/jackton1))
- Upgraded to v33.0.0 [\#707](https://github.com/tj-actions/changed-files/pull/707) ([jackton1](https://github.com/jackton1))
## [v33](https://github.com/tj-actions/changed-files/tree/v33) (2022-10-21)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v33.0.0...v33)
## [v33.0.0](https://github.com/tj-actions/changed-files/tree/v33.0.0) (2022-10-21)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32...v33.0.0)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v33...v33.0.0)
## [v33](https://github.com/tj-actions/changed-files/tree/v33) (2022-10-21)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32.1.2...v33)
**Closed issues:**
@@ -133,13 +152,13 @@
- chore\(deps\): update tj-actions/verify-changed-files action to v12 [\#696](https://github.com/tj-actions/changed-files/pull/696) ([renovate[bot]](https://github.com/apps/renovate))
- Upgraded to v32.1.2 [\#695](https://github.com/tj-actions/changed-files/pull/695) ([jackton1](https://github.com/jackton1))
## [v32](https://github.com/tj-actions/changed-files/tree/v32) (2022-10-16)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32.1.2...v32)
## [v32.1.2](https://github.com/tj-actions/changed-files/tree/v32.1.2) (2022-10-16)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32.1.1...v32.1.2)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32...v32.1.2)
## [v32](https://github.com/tj-actions/changed-files/tree/v32) (2022-10-16)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32.1.1...v32)
**Fixed bugs:**
@@ -252,7 +271,7 @@
## [v31.0.0](https://github.com/tj-actions/changed-files/tree/v31.0.0) (2022-09-25)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v30...v31.0.0)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v30.0.0...v31.0.0)
**Merged pull requests:**
@@ -265,13 +284,13 @@
- chore: update broken link [\#642](https://github.com/tj-actions/changed-files/pull/642) ([jackton1](https://github.com/jackton1))
- Upgraded to v30.0.0 [\#641](https://github.com/tj-actions/changed-files/pull/641) ([jackton1](https://github.com/jackton1))
## [v30](https://github.com/tj-actions/changed-files/tree/v30) (2022-09-24)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v30.0.0...v30)
## [v30.0.0](https://github.com/tj-actions/changed-files/tree/v30.0.0) (2022-09-24)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v29...v30.0.0)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v30...v30.0.0)
## [v30](https://github.com/tj-actions/changed-files/tree/v30) (2022-09-24)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v29...v30)
**Fixed bugs:**
@@ -1152,7 +1171,7 @@
## [v13](https://github.com/tj-actions/changed-files/tree/v13) (2022-02-17)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v2.0.1...v13)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v12.2...v13)
**Implemented enhancements:**
@@ -1171,13 +1190,13 @@
- \[BUG\] wrong result of any\_change output [\#314](https://github.com/tj-actions/changed-files/issues/314)
- \[BUG\] Investigate possible bug using since\_last\_remote\_commit when force pushing changes. [\#303](https://github.com/tj-actions/changed-files/issues/303)
## [v2.0.1](https://github.com/tj-actions/changed-files/tree/v2.0.1) (2021-12-30)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v12.2...v2.0.1)
## [v12.2](https://github.com/tj-actions/changed-files/tree/v12.2) (2021-12-30)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v12.1...v12.2)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v2.0.1...v12.2)
## [v2.0.1](https://github.com/tj-actions/changed-files/tree/v2.0.1) (2021-12-30)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v12.1...v2.0.1)
**Merged pull requests:**

View File

@@ -156,7 +156,7 @@ Support this project with a :star:
| base\_sha | string | false | | Specify a different base commit<br>SHA used for comparing changes<br> |
| diff\_relative | string | false | | Exclude changes outside the current<br>directory and show pathnames relative<br>to it. **NOTE:** This requires<br>you to specify the top<br>level directory via the `path`<br>input. |
| dir\_names | string | false | `"false"` | Output unique changed directories instead<br>of filenames. **NOTE:** This returns<br>`.` for changed files located<br>in the root of the<br>project. |
| fetch\_depth | string | false | `"30"` | Limit depth of target branch<br>history fetched. **NOTE**: This can<br>be adjusted to resolve errors<br>with insufficient history. |
| fetch\_depth | string | false | `"40"` | Limit depth of the branch<br>history fetched. **NOTE**: This can<br>be adjusted to resolve errors<br>with insufficient history. |
| files | string | false | | File and directory patterns to<br>detect changes using only these<br>list of file(s) (Defaults to<br>the entire repo) **NOTE:** Multiline<br>file/directory patterns should not include<br>qoutes. |
| files\_from\_source\_file | string | false | | Source file(s) used to populate<br>the `files` input. |
| files\_ignore | string | false | | Ignore changes to these file(s)<br>**NOTE:** Multiline file/directory patterns should<br>not include qoutes. |

View File

@@ -78,9 +78,9 @@ inputs:
required: false
default: "false"
fetch_depth:
description: "Limit depth of target branch history fetched. **NOTE**: This can be adjusted to resolve errors with insufficient history."
description: "Limit depth of the branch history fetched. **NOTE**: This can be adjusted to resolve errors with insufficient history."
required: false
default: "30"
default: "40"
outputs:
added_files:
@@ -158,6 +158,7 @@ runs:
env:
GITHUB_SERVER_URL: ${{ github.server_url }}
GITHUB_REPOSITORY: ${{ github.repository }}
GITHUB_REF: ${{ github.ref }}
GITHUB_BASE_REF: ${{ github.base_ref }}
GITHUB_HEAD_REF: ${{ github.head_ref }}
GITHUB_WORKSPACE: ${{ github.workspace }}

View File

@@ -1,6 +1,6 @@
#!/usr/bin/env bash
set -exuo pipefail
set -euo pipefail
INITIAL_COMMIT="false"
GITHUB_OUTPUT=${GITHUB_OUTPUT:-""}
@@ -54,7 +54,7 @@ if [[ -z $GITHUB_BASE_REF ]]; then
fi
else
if [[ -z $INPUT_SHA ]]; then
CURRENT_SHA=$(git rev-list --no-merges -n 1 HEAD 2>&1) && exit_status=$? || exit_status=$?
CURRENT_SHA=$(git rev-list -n 1 HEAD 2>&1) && exit_status=$? || exit_status=$?
else
git fetch --no-tags -u --progress --deepen="$INPUT_FETCH_DEPTH"
CURRENT_SHA=$INPUT_SHA; exit_status=$?
@@ -82,8 +82,7 @@ if [[ -z $GITHUB_BASE_REF ]]; then
exit 1
fi
else
git fetch --no-tags -u --progress --deepen="$INPUT_FETCH_DEPTH"
PREVIOUS_SHA=$(git rev-list --no-merges -n 1 "$TARGET_BRANCH" 2>&1) && exit_status=$? || exit_status=$?
PREVIOUS_SHA=$(git rev-list -n 1 "$TARGET_BRANCH" 2>&1) && exit_status=$? || exit_status=$?
if [[ -z "$PREVIOUS_SHA" ]]; then
if [[ "$GITHUB_EVENT_FORCED" == "false" || -z "$GITHUB_EVENT_FORCED" ]]; then
@@ -134,8 +133,21 @@ else
CURRENT_BRANCH=$GITHUB_HEAD_REF
echo "Fetching remote refs..."
git fetch --no-tags -u --progress --deepen=40000
git fetch --no-tags -u --progress --depth="$INPUT_FETCH_DEPTH" origin "$TARGET_BRANCH":"$TARGET_BRANCH"
git fetch --depth="$INPUT_FETCH_DEPTH" origin +refs/heads/"$TARGET_BRANCH":refs/remotes/origin/"$TARGET_BRANCH"
git branch --track "$TARGET_BRANCH" origin/"$TARGET_BRANCH" 2>/dev/null || true
depth=$INPUT_FETCH_DEPTH
while [ -z "$( git merge-base "$TARGET_BRANCH" HEAD )" ]; do
git fetch --deepen="$depth" origin "$TARGET_BRANCH" HEAD;
depth=$((depth * 10))
max_depth=5000
if [[ $depth -gt $max_depth ]]; then
echo "::error::Unable to find merge-base of $TARGET_BRANCH and HEAD."
fi
done
echo "::debug::Getting HEAD SHA..."
if [[ -n "$INPUT_UNTIL" ]]; then